CrossSectionParameters Class

class NXOpen.CAE.CrossSectionParameters

Bases: NXOpen.TaggedObject

This class is worked as a packet of information that can be used to change cross-section state.

<br/>Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.CrossSectionParameters

To obtain an instance of this class use NXOpen.Session.ResultManager().

New in version NX7.5.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
GetAbsoluteValue Ask whether all values are absolute values @return
GetBeamElement Ask beam element ID @return
GetBeamEnd Ask beam end @return
GetComplexCriterion If result is complex it returns which component is set(like real or imaginary) @return
GetElementResult Query Element Result value @return
GetElementValueCriterion Ask how element the result is defined.
GetFilletRadius Return the fillets flag @return
GetFillets Return the fillets flag @return
GetGenericResultType Ask Result type @return
GetModelRangeParameters Ask model range parameters @return
GetPhaseAngle Ask phase angle.
GetResultComponent Ask result component @return
GetScale Ask scale @return
GetTensorComponentAbsoluteValue Get the method used when calculating the absolute values for the derived components of NXOpen.CAE.ResultDataType.Tensor like NXOpen.CAE.ResultComponent.MaximumPrincipal @return
GetUnit Ask result unit @return
MakeElementResult Make Nodal result to Element Result.
SetAbsoluteValue Set all values to absolute values.
SetBeamElement Set beam element ID
SetBeamEnd Set beam end
SetComplexCriterion Set complex criteria
SetElementValueCriterion Set how element the result is defined
SetFilletRadius Turns on the fillets flag
SetFillets Turns on the fillets flag
SetGenericResultType Set Result type
SetPhaseAngle Sets the phase angle at which result will be evaluated.
SetResultComponent Set result component
SetScale Set scale.
SetTensorComponentAbsoluteValue Set the method used when calculating the absolute values for the derived components of NXOpen.CAE.ResultDataType.Tensor like NXOpen.CAE.ResultComponent.MaximumPrincipal
SetUnit Set result unit

Method Detail

GetAbsoluteValue

CrossSectionParameters.GetAbsoluteValue

Ask whether all values are absolute values

Signature GetAbsoluteValue()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetBeamElement

CrossSectionParameters.GetBeamElement

Ask beam element ID

Signature GetBeamElement()

Returns:
Return type:int

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetBeamEnd

CrossSectionParameters.GetBeamEnd

Ask beam end

Signature GetBeamEnd()

Returns:
Return type:NXOpen.CAE.ResultBeamEnd

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetComplexCriterion

CrossSectionParameters.GetComplexCriterion

If result is complex it returns which component is set(like real or imaginary)

Signature GetComplexCriterion()

Returns:
Return type:NXOpen.CAE.ResultComplex

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetElementResult

CrossSectionParameters.GetElementResult

Query Element Result value

Signature GetElementResult()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetElementValueCriterion

CrossSectionParameters.GetElementValueCriterion

Ask how element the result is defined.

Signature GetElementValueCriterion()

Returns:
Return type:NXOpen.CAE.ResultElementValueCriterion

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetFilletRadius

CrossSectionParameters.GetFilletRadius

Return the fillets flag

Signature GetFilletRadius()

Returns:
Return type:float

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetFillets

CrossSectionParameters.GetFillets

Return the fillets flag

Signature GetFillets()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetGenericResultType

CrossSectionParameters.GetGenericResultType

Ask Result type

Signature GetGenericResultType()

Returns:
Return type:NXOpen.CAE.BaseResultType

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetModelRangeParameters

CrossSectionParameters.GetModelRangeParameters

Ask model range parameters

Signature GetModelRangeParameters()

Returns:
Return type:NXOpen.CAE.ResultParameters

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetPhaseAngle

CrossSectionParameters.GetPhaseAngle

Ask phase angle.

If complex result is set to Phaseangle type then user can specify an angle at which result will be evaluated

Signature GetPhaseAngle()

Returns:
Return type:float

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetResultComponent

CrossSectionParameters.GetResultComponent

Ask result component

Signature GetResultComponent()

Returns:
Return type:NXOpen.CAE.ResultComponent

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetScale

CrossSectionParameters.GetScale

Ask scale

Signature GetScale()

Returns:
Return type:float

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTensorComponentAbsoluteValue

CrossSectionParameters.GetTensorComponentAbsoluteValue

Get the method used when calculating the absolute values for the derived components of NXOpen.CAE.ResultDataType.Tensor like NXOpen.CAE.ResultComponent.MaximumPrincipal

Signature GetTensorComponentAbsoluteValue()

Returns:
Return type:NXOpen.CAE.ResultTensorDerivedAbsolute

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetUnit

CrossSectionParameters.GetUnit

Ask result unit

Signature GetUnit()

Returns:
Return type:NXOpen.Unit

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

MakeElementResult

CrossSectionParameters.MakeElementResult

Make Nodal result to Element Result.

To define what value should be used to represent an element, use NXOpen.CAE.CrossSectionParameters.SetElementValueCriterion()

Signature MakeElementResult(elementResult)

Parameters:elementResult (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetAbsoluteValue

CrossSectionParameters.SetAbsoluteValue

Set all values to absolute values.

Warning: Once converted to absolute value it is not possible to revert to original values.

Signature SetAbsoluteValue(absolute)

Parameters:absolute (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetBeamElement

CrossSectionParameters.SetBeamElement

Set beam element ID

Signature SetBeamElement(beamEid)

Parameters:beamEid (int) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetBeamEnd

CrossSectionParameters.SetBeamEnd

Set beam end

Signature SetBeamEnd(beamEnd)

Parameters:beamEnd (NXOpen.CAE.ResultBeamEnd) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetComplexCriterion

CrossSectionParameters.SetComplexCriterion

Set complex criteria

Signature SetComplexCriterion(complex)

Parameters:complex (NXOpen.CAE.ResultComplex) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetElementValueCriterion

CrossSectionParameters.SetElementValueCriterion

Set how element the result is defined

Signature SetElementValueCriterion(criteria)

Parameters:criteria (NXOpen.CAE.ResultElementValueCriterion) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetFilletRadius

CrossSectionParameters.SetFilletRadius

Turns on the fillets flag

Signature SetFilletRadius(filletRadius)

Parameters:filletRadius (float) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetFillets

CrossSectionParameters.SetFillets

Turns on the fillets flag

Signature SetFillets(fillets)

Parameters:fillets (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetGenericResultType

CrossSectionParameters.SetGenericResultType

Set Result type

Signature SetGenericResultType(type)

Parameters:type (NXOpen.CAE.BaseResultType) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetPhaseAngle

CrossSectionParameters.SetPhaseAngle

Sets the phase angle at which result will be evaluated.

This is only value if complex result is set to the PhaseAngle type

Signature SetPhaseAngle(angle)

Parameters:angle (float) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetResultComponent

CrossSectionParameters.SetResultComponent

Set result component

Signature SetResultComponent(component)

Parameters:component (NXOpen.CAE.ResultComponent) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetScale

CrossSectionParameters.SetScale

Set scale.

This will affect all subsequent result query.

Signature SetScale(scale)

Parameters:scale (float) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTensorComponentAbsoluteValue

CrossSectionParameters.SetTensorComponentAbsoluteValue

Set the method used when calculating the absolute values for the derived components of NXOpen.CAE.ResultDataType.Tensor like NXOpen.CAE.ResultComponent.MaximumPrincipal

Signature SetTensorComponentAbsoluteValue(absolute)

Parameters:absolute (NXOpen.CAE.ResultTensorDerivedAbsolute) –

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetUnit

CrossSectionParameters.SetUnit

Set result unit

Signature SetUnit(unit)

Parameters:unit (NXOpen.Unit) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)